@extends('layout')

@section('content')
    <h1>Login Form</h1>
    <form method="POST" action="/users/authenticate">
        @csrf
        <label for="rz_username">RZ-Username:</label>
        <input type="text" id="rz_username" name="rz_username" value="{{ old('device_id') }}" required>
        @error('rz_username')
            <p>{{ $message }}</p>
        @enderror
        <br />
        <label for="hashed_password">Password:</label>
        <input type="password" id="hashed_password" name="password" required>
        @error('hashed_password')
            <p>{{ $message }}</p>
        @enderror
        <br />
        <input type="submit" value="Login">
        <div>
            <p>Don't have an account?</p>
            <a href="/register">Register</a>
        </div>
    </form>
@endsection
