<?php

namespace App\View\Components;

use App\Models\LocationTransaction as ModelsLocationTransaction;
use Closure;
use Illuminate\View\Component;
use Illuminate\Contracts\View\View;

class LocationTransaction extends Component
{
    /**
     * Create a new component instance.
     */
    public function __construct(
        public ModelsLocationTransaction $location
    )
    {
        //
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.location-transaction');
    }
}
