<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('devices', function (Blueprint $table) {
            $table->uuid('device_id')->primary();
            $table->string('title');
            $table->string('device_type');
            $table->string('description')->nullable();
            $table->string('accessories')->nullable();
            $table->string('rz_username_buyer')->unique();
            $table->string('serial_number');
            $table->string('image_url');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('devices');
    }
};
